

class Numero
{
	int hodnota;
public:
	Numero(int n) : hodnota(n)
	{	}
	friend Numero operator+(const Numero a, const Numero b);
	friend Numero operator+(const int a, const Numero b);
	friend Numero operator+(const Numero a, const int b);
	bool operator==(const Numero& a) const = default;
};

Numero operator+(const Numero a, const Numero b)
{
	return a.hodnota + b.hodnota;
}

Numero operator+(const int a, const Numero b)
{
	return a + b.hodnota;
}

Numero operator+(const Numero a, const int b)
{
	return a.hodnota + b;
}


int main()
{
	Numero n1(5), n2(6), n3(0);
	n3 = n1 + n2;
	n3 = n1 + 10;
	n3 = 1 + n2;
	if (n1 != n3)  // Peklada C++20 a pozdj si dosad !(n1 == n2)
	{
		// ...
	}
	
}