#include <compare>

using namespace std;

class Numero
{
	int hodnota;
public:
	Numero(int n) : hodnota(n)
	{	}
	friend Numero operator+(const Numero a, const Numero b);
	friend Numero operator+(const int a, const Numero b);
	friend Numero operator+(const Numero a, const int b);
	Numero& operator++();
	Numero operator++(int);
	Numero& operator=(Numero& n) = default;
	operator int();
};

Numero& Numero::operator++()
{
	++hodnota;
	return *this;
}

Numero Numero::operator++(int)
{
	Numero pom = *this;
	hodnota++;
	return pom;
}

Numero::operator int()
{
	return hodnota;
}

Numero operator+(const Numero a, const Numero b)
{
	return a.hodnota + b.hodnota;
}

Numero operator+(const int a, const Numero b)
{
	return a + b.hodnota;
}

Numero operator+(const Numero a, const int b)
{
	return a.hodnota + b;
}


class Numero1
{
	int hodnota;
public:
	Numero1(int n) : hodnota(n)
	{	}
};


int main()
{
	Numero n1(5), n2(6), n3(0);
	double i = n1;
	Numero1 n4(8);
	//n4 = n1; // Nelze (jsou teba 2 uivatelsk konverze)
}